Bug 809731 - MySQL server: "innoDB: Error: unable to create temporary file" in /tmp when starting freshly installed mysql-server
MySQL server: "innoDB: Error: unable to create temporary file" in /tmp when s...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 04:38 EDT by Jirka Daněk
Modified: 2012-05-07 17:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-07 04:18:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jirka Daněk 2012-04-04 04:38:21 EDT
Description of problem:
When starting mysqld, the process fails:

systemctl start mysqld.service
Job failed. See system journal and 'systemctl status' for details.

tail /var/log/messages
Apr  4 10:27:59 private systemd[1]: mysqld.service holdoff time over, scheduling restart.
Apr  4 10:27:59 private systemd[1]: Job pending for unit, delaying automatic restart.
Apr  4 10:27:59 private systemd[1]: Unit mysqld.service entered failed state.
Apr  4 10:28:00 private mysqld_safe[5085]: 120404 10:28:00 mysqld_safe Logging to '/var/log/mysqld.log'.
Apr  4 10:28:00 private mysqld_safe[5085]: 120404 10:28:00 mysqld_safe Starting mysqld daemon with databases from /var/lib/mysql
Apr  4 10:28:00 private systemd[1]: mysqld.service: main process exited, code=exited, status=1
Apr  4 10:28:00 private systemd[1]: mysqld.service: control process exited, code=exited status=1
Apr  4 10:28:00 private systemd[1]: mysqld.service holdoff time over, scheduling restart.
Apr  4 10:28:00 private systemd[1]: Job pending for unit, delaying automatic restart.
Apr  4 10:28:00 private systemd[1]: Unit mysqld.service entered failed state.

tail -n50 /var/log/mysqld.log 
120404 10:27:59 mysqld_safe Starting mysqld daemon with databases from /var/lib/mysql
120404 10:27:59 [Note] Plugin 'FEDERATED' is disabled.
120404 10:27:59 InnoDB: The InnoDB memory heap is disabled
120404 10:27:59 InnoDB: Mutexes and rw_locks use GCC atomic builtins
120404 10:27:59 InnoDB: Compressed tables use zlib 1.2.5
120404 10:27:59 InnoDB: Using Linux native AIO
/usr/libexec/mysqld: Can't create/write to file '/tmp/ibko5VRn' (Errcode: 13)
120404 10:27:59  InnoDB: Error: unable to create temporary file; errno: 13
120404 10:27:59 [ERROR] Plugin 'InnoDB' init function returned error.
120404 10:27:59 [ERROR] Plugin 'InnoDB' registration as a STORAGE ENGINE failed.
120404 10:27:59 [ERROR] Unknown/unsupported storage engine: InnoDB
120404 10:27:59 [ERROR] Aborting

120404 10:27:59 [Note] /usr/libexec/mysqld: Shutdown complete


Version-Release number of selected component (if applicable):
mysql-server.x86_64 0:5.5.22-1.fc18

How reproducible, Steps to Reproduce:
Install mysql-server.x86_64 0:5.5.22-1.fc18 and try to start it using systemctl
Comment 1 Tom Lane 2012-04-04 09:32:27 EDT
Are you up to date on systemd and selinux-policy?

5.5.22 enables the PrivateTmp stuff, which is still new and probably buggy.  If it's not working I would suspect those components, particularly in view of the failure being an EACCES one.
Comment 2 Jirka Daněk 2012-04-07 04:18:21 EDT
Disabling PrivateTmp in the systemd config did not help.

Upgrading my system did help. I just fell behind a little bit. Thanks
Comment 3 Tom Lane 2012-04-07 10:40:59 EDT
OK, sounds like it was just one of the recently-fixed bugs in PrivateTmp support then.
Comment 4 Robert Maupin 2012-05-07 17:54:07 EDT
Thanks, this information was very helpful. Glad to see it got sorted out.

Note You need to log in before you can comment on or make changes to this bug.